상품 상세 조회
curl --request GET \
--url https://api.steppay.kr/api/v1/products/{code} \
--header 'Secret-Token: <api-key>'import requests
url = "https://api.steppay.kr/api/v1/products/{code}"
headers = {"Secret-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Secret-Token': '<api-key>'}};
fetch('https://api.steppay.kr/api/v1/products/{code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"code": "product_AbCdEfGhI",
"type": "SOFTWARE",
"status": "SALE",
"name": "Product Name",
"subTitle": null,
"featuredImageUrl": "Url string",
"imageUrls": [
"Url string"
],
"description": "Product Description",
"summary": "string",
"reasonOfReject": null,
"sku": "unit",
"quantity": 0,
"combinedProducts": [],
"optionGroups": [
{
"id": 1,
"name": "Option Group Name",
"options": [
{
"id": 1,
"name": "Basic",
"quantity": 0,
"price": 1000,
"parent": null
},
{
"id": 1,
"name": "Standard",
"quantity": 0,
"price": 2000,
"parent": null
},
{
"id": 1,
"name": "Pro",
"quantity": 0,
"price": 2000,
"parent": null
}
],
"depth": null
}
],
"useCombination": false,
"optionCombinations": [],
"prices": [],
"createdAt": "9999-01-01T00:00:00",
"modifiedAt": "9999-01-01T00:00:00",
"enabledDemo": true,
"demoPeriod": 3,
"demoPeriodUnit": "DAY",
"categories": [],
"vendorUuid": "206992bb-6462-4b4f-9847-cf2f40d55b48",
"productOrder": 0,
"isOnetimePurchasable": false,
"eventBadge": [
{
"event": "string",
"startDateTime": "9999-01-01T00:00:00",
"endDateTime": "9999-01-01T00:00:00"
}
],
"notice": "notice",
"useWidget": {
"useDemo": false,
"useEventBadge": false,
"useOnetimePurchasable": false,
"useNotice": false
},
"groupId": null,
"countrySetting": null
}{
"errorCode": "<string>",
"traceId": "<string>",
"errorMessage": "<string>",
"details": {}
}{
"errorCode": "<string>",
"traceId": "<string>",
"errorMessage": "<string>",
"details": {}
}{
"id": 123,
"code": "<string>",
"combinedProducts": [
{
"code": "<string>",
"name": "<string>",
"description": "<string>",
"options": [
{
"id": 123,
"name": "<string>",
"options": [
{
"id": 123,
"name": "<string>",
"price": 123,
"quantity": 123,
"parent": 123
}
],
"depth": 123
}
],
"prices": [
{
"id": 123,
"code": "<string>",
"price": 123,
"enabledFirstSalePrice": true,
"firstSalePrice": 123,
"billingDate": 123,
"maximumPurchaseQuantity": 123,
"membershipExpirationDate": 123,
"options": [
{
"id": 123,
"price": 123,
"name": "<string>",
"productCode": "<string>",
"priceCode": "<string>",
"priceName": "<string>",
"recurringDTO": {
"id": 123,
"intervalCount": 123
}
}
],
"volumes": [
{
"id": 123,
"min": 123,
"max": 123,
"price": 123
}
],
"basicServing": 123,
"bundlePrices": [
{
"product": "<unknown>",
"price": "<unknown>"
}
],
"onetimeBundlePrice": 123,
"order": 123,
"currencyPrice": {},
"unit": "<string>",
"planName": "<string>",
"planDescription": "<string>",
"setupOption": {
"name": "<string>",
"id": 123,
"price": 123,
"currencyPrice": {}
},
"additionalBilling": {
"id": 123,
"ranges": [
{
"id": 123,
"until": 123,
"price": 123
}
]
},
"recurring": {
"id": 123,
"intervalCount": 123
},
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z",
"plan": {
"name": "<string>",
"description": "<string>",
"isHiddenFromShop": true,
"detailDescription": "<string>",
"adminName": "<string>"
},
"firstSale": {
"enabled": true,
"price": 123,
"currencyPrice": {}
},
"claim": {
"billingDate": 123,
"provideStartDay": 123
}
}
],
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z"
}
],
"optionGroups": [
{
"id": 123,
"name": "<string>",
"options": [
{
"id": 123,
"name": "<string>",
"price": 123,
"quantity": 123,
"parent": 123
}
],
"depth": 123
}
],
"useCombination": true,
"optionCombinations": [
{
"id": [
123
],
"quantity": 123,
"price": 123
}
],
"prices": [
{
"id": 123,
"code": "<string>",
"price": 123,
"enabledFirstSalePrice": true,
"firstSalePrice": 123,
"billingDate": 123,
"maximumPurchaseQuantity": 123,
"membershipExpirationDate": 123,
"options": [
{
"id": 123,
"price": 123,
"name": "<string>",
"productCode": "<string>",
"priceCode": "<string>",
"priceName": "<string>",
"recurringDTO": {
"id": 123,
"intervalCount": 123
}
}
],
"volumes": [
{
"id": 123,
"min": 123,
"max": 123,
"price": 123
}
],
"basicServing": 123,
"bundlePrices": [
{
"product": "<unknown>",
"price": "<unknown>"
}
],
"onetimeBundlePrice": 123,
"order": 123,
"currencyPrice": {},
"unit": "<string>",
"planName": "<string>",
"planDescription": "<string>",
"setupOption": {
"name": "<string>",
"id": 123,
"price": 123,
"currencyPrice": {}
},
"additionalBilling": {
"id": 123,
"ranges": [
{
"id": 123,
"until": 123,
"price": 123
}
]
},
"recurring": {
"id": 123,
"intervalCount": 123
},
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z",
"plan": {
"name": "<string>",
"description": "<string>",
"isHiddenFromShop": true,
"detailDescription": "<string>",
"adminName": "<string>"
},
"firstSale": {
"enabled": true,
"price": 123,
"currencyPrice": {}
},
"claim": {
"billingDate": 123,
"provideStartDay": 123
}
}
],
"createdAt": "2023-11-07T05:31:56Z",
"enabledDemo": true,
"demoPeriod": 123,
"categories": [
{
"categoryId": 123,
"name": "<string>"
}
],
"vendorUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productOrder": 123,
"isOnetimePurchasable": true,
"eventBadge": [
{
"event": "<string>",
"startDateTime": "2023-11-07T05:31:56Z",
"endDateTime": "2023-11-07T05:31:56Z"
}
],
"name": "<string>",
"subTitle": "<string>",
"featuredImageUrl": "<string>",
"imageUrls": [
"<string>"
],
"description": "<string>",
"summary": "<string>",
"reasonOfReject": "<string>",
"sku": "<string>",
"quantity": 123,
"modifiedAt": "2023-11-07T05:31:56Z",
"notice": "<string>",
"useWidget": {
"useDemo": true,
"useEventBadge": true,
"useOnetimePurchasable": true,
"useNotice": true
},
"groupId": 123,
"countrySetting": {
"id": 123,
"countryCode": "<string>",
"timezoneName": "<string>",
"currencyCode": "<string>",
"isDefault": true,
"taxRate": 123
},
"availableRegions": [
{
"code": "<string>",
"currency": "<string>",
"country": "<string>",
"countryCode": "<string>",
"state": "<string>",
"language": "<string>"
}
]
}상품 API
상품 상세 조회
상품 상세정보를 반환합니다.
GET
/
api
/
v1
/
products
/
{code}
상품 상세 조회
Authorizations
Path Parameters
상품 코드
Response
정상적으로 조회됨
상품 정보
상품 아이디
상품 코드
상품 상태
Available options:
SALE, OUT_OF_STOCK, UNSOLD, WAITING_APPROVAL, REJECTED 번들 상품 정보
Show child attributes
Show child attributes
옵션 그룹 정보
Show child attributes
Show child attributes
조합형 옵션 사용 여부
옵션 조합
Show child attributes
Show child attributes
가격 플랜 목록
Show child attributes
Show child attributes
생성 시점
체험기간 활성화 여부
체험 기간
체험 기간 단위
Available options:
DAY, WEEK, MONTH, YEAR 카테고리
Show child attributes
Show child attributes
가맹점 UUID
순서
활성 구독 제한
이벤트 뱃지
Show child attributes
Show child attributes
상품 타입
Available options:
BOX, SOFTWARE, BUNDLE, INVOICE, DRAFT 상품 이름
부제목
상품 대표 이미지 URL
상품 이미지 URL
상품 이미지 URL
상품 설명
상품 요약
상품 승인 거절 사유
SKU
재고 수량
수정 시점
유의 사항
상품 위젯 사용 여부
Show child attributes
Show child attributes
그룹 ID
국가 설정 정보
Show child attributes
Show child attributes
판매 가능 국가
Show child attributes
Show child attributes
⌘I